## libntru 0.5

=== Makefile ===
ifeq ($(OS), Windows_NT)
    include Makefile.win
else ifeq ($(shell uname), Darwin)
    include Makefile.osx
else ifeq ($(shell uname), OS/2)
    include Makefile.os2
else ifeq ($(shell uname), FreeBSD)
    include Makefile.bsd
else ifeq ($(shell uname), OpenBSD)
    include Makefile.bsd
else
    include Makefile.linux
endif

=== debian/changelog ===
libntru (0.5-2) unstable; urgency=low

  * Fix FTBFS on big-endian arches. (Closes: #880149)
    - 0001-src-ntru_endian.h-Fix-FTBFS-bug-on-big-endian-arches.patch
  * Disable SSE3 and AVX2 (Closes: #880196)
    - Please read README.Debian. Not all amd64 supports SSSE3 and AVX2.
  * Bump Standards-Version to 4.1.1: Nothing needs to be changed.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 07 Nov 2017 15:31:48 +0800

libntru (0.5-1) unstable; urgency=low

  * Initial release (Closes: #802259)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Aug 2017 22:33:43 +0800

=== debian/control ===
Source: libntru
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Build-Depends: debhelper (>= 9), dh-exec
Standards-Version: 4.1.1
Section: libs
Homepage: https://github.com/tbuktu/libntru

Package: libntru-0.5-dev
Section: libdevel
Architecture: any
Depends: libntru-0.5 (= ${binary:Version}), ${misc:Depends}
Description: C implementation of the public-key encryption scheme NTRUEncrypt
 This library is an implementation of the NTRU encryption scheme in C. The
 NTRUEncrypt public key cryptosystem, also known as the NTRU encryption
 algorithm, is a lattice-based alternative to RSA and ECC and is based on the
 shortest vector problem in a lattice (which is not known to be breakable
 using quantum computers).
 .
 This package contains the development headers.

Package: libntru-0.5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C implementation of the public-key encryption scheme NTRUEncrypt
 This library is an implementation of the NTRU encryption scheme in C. The
 NTRUEncrypt public key cryptosystem, also known as the NTRU encryption
 algorithm, is a lattice-based alternative to RSA and ECC and is based on the
 shortest vector problem in a lattice (which is not known to be breakable
 using quantum computers).

=== debian/tests/control ===
Tests: benchmark
Depends: @, @builddeps@

Tests: example1
Depends: @, @builddeps@

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libntru-$1.tar.gz%" \
   https://github.com/tbuktu/libntru/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
